Summary:     MICO (Mico Is COrba) Object Request Broker
Name:        mico
Version:     2.2.3
Release:     4i
Source:      http://www.vsb.cs.uni-frankfurt.de/~mico/mico-%{PACKAGE_VERSION}.tar.gz
Patch0:	     orb-ssl.patch
Patch1:	     config-libs.patch
Patch2:	     config-strip.patch
Patch3:	     config-egcs1_1_1.patch
Patch4:      test.patch
Patch5:      demo-relship.patch
Copyright:   GPL/LGPL
URL:         http://www.vsb.cs.uni-frankfurt.de/~mico/
Group:       Libraries
Requires:    SSLeay >= 0.8.1
Buildroot:   /var/tmp/mico-root/
%description
Freeware CORBA ORB. This package contains the shared libraries and daemons
needed to run MICO applications. For development you also need:
- mico-devel-%{PACKAGE_VERSION}  : IDL compiler and headers (required)
- mico-static-%{PACKAGE_VERSION} : static libraries (optional)
===< This is the international version with support for SSLeay. >===

%package     devel
Summary:     MICO (Mico Is COrba) application development tools
Group:       Development/Tools
Requires:    mico = %{PACKAGE_VERSION}
Requires:    binutils >= 2.9.1.0.16, egcs-c++ >= 1.1.1
Requires:    SSLeay-devel >= 0.8.1
%description devel
IDL compiler and headers for writing MICO applications.
===< This is the international version with support for SSLeay. >===

%package     static
Summary:     MICO (Mico Is COrba) static libraries
Group:       Development/Libraries
Requires:    mico = %{PACKAGE_VERSION}
Requires:    mico-devel = %{PACKAGE_VERSION}
%description static
Static libraries for writing MICO applications. You need this only
if you plan to write statically linked applications.
===< This is the international version with support for SSLeay. >===


%prep
%setup -q -n mico
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1


%build
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr --enable-namespace --enable-final \
--with-qt=/usr/lib/qt --with-gtk --with-tcl --with-x --with-ssl=/usr/local/ssl
make


%install
if ls -d ${RPM_BUILD_ROOT} | grep tmp > /dev/null ; then
    rm -rf ${RPM_BUILD_ROOT}
else
    echo "This seems a dangerous place to rm -rf"
fi
make prefix=$RPM_BUILD_ROOT/usr install


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%clean
if ls -d ${RPM_BUILD_ROOT} | grep tmp > /dev/null ; then
    rm -rf ${RPM_BUILD_ROOT}
else
    echo "This seems a dangerous place to rm -rf"
fi


%files
%doc $RPM_BUILD_ROOT/usr/lib/mico-setup.*
%doc CHANGES LICENSE LICENSE-GPL LICENSE-LGPL TODO
/usr/bin/eventd
/usr/bin/imr
/usr/bin/ird
/usr/bin/micod
/usr/bin/nsadmin
/usr/bin/nsd
/usr/bin/propertyd
/usr/lib/lib*.so*
/usr/man/man1/imr.1
/usr/man/man1/nsadmin.1
/usr/man/man5/micorc.5
/usr/man/man8/ird.8
/usr/man/man8/micod.8
/usr/man/man8/nsd.8


%files devel
%doc $RPM_BUILD_ROOT/usr/doc/mico/manual.ps
%doc $RPM_BUILD_ROOT/usr/doc/mico/examples
/usr/bin/idl
/usr/bin/mico-c++
/usr/bin/mico-ld
/usr/bin/mico-ar
/usr/bin/mico-shc++
/usr/bin/mico-shld
/usr/bin/mico-cpp
/usr/include/CORBA.h
/usr/include/CORBA-c.h
/usr/include/mico
/usr/include/ministl
/usr/man/man1/idl.1


%files static
/usr/lib/*.a


%changelog
* Thu Jan  7 1999 Vasile Gaburici <gaburici@kermit.cs.pub.ro>
- built with --enable-final
- the Java stuff is not installed by make install, so I'll skip it for now
- demo/relship patch updated
- put the static libs in another package (mico-static); save 5 Megs
- built with egcs 1.1.1-3 and binutils 2.9.1.0.19a-2 (which I built on RH 5.2)
- FYI: gtk+-1.0.6, qt-1.42, SSLeay-0.8.1, tcl-8.0.3, XFree86-3.3.3

* Sat Dec 26 1998 Vasile Gaburici <gaburici@kermit.cs.pub.ro>
- It fails test/ir with Cygnus STL, so mini-STL is enabled now
- egcs version detection patch added
- test/idl patch added (only useful for proper testing)
- demo/relship patch added

* Fri Dec 25 1998 Vasile Gaburici <gaburici@kermit.cs.pub.ro>
- Updated to 2.2.3 & added my SSLeay bugfixes
- Built with egcs 1.1.1 and binutils 2.9.1.0.17 ...
- So, exceptions and optimization are BOTH enabled :-)
- ALL libs get built: tcl, gtk, qt (qt assumed in /usr/lib/qt), x
- SSLeay support also included (SSLeay assumed in /usr/local/ssl)

* Tue Sep 09 1998 Bruce McDonald <bruce@triphop.ml.org>

* Wed Apr 21 1998 Bruce McDonald <bruce@triphop.ml.org>
- Updated to 2.0.6 and included qt stuff 

* Sat Mar 14 1998 Jani Hakala <jahakala@cc.jyu.fi>
- updated to 2.0.5

* Sat Feb 28 1998 Jani Hakala <jahakala@cc.jyu.fi>
- added misc-patch
- moved ./configure to %build-section

* Fri Feb 13 1998 Jason Gilbert <jason@scott.net>
- updated to new release 2.0.3

* Thu Feb 12 1998 Jason Gilbert <jason@scott.net>
- updated to new release 2.0.2

* Tue Feb 10 1998 Dick Porter <dick@cymru.net>
- configure with --enable-final

* Thu Feb 05 1998 Jason Gilbert <jason@scott.net>
- Initial package creation
